Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362576 - No valid host was found. There are not enough hosts available., Code: 500
Summary: No valid host was found. There are not enough hosts available., Code: 500
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo
Version: 8.0 (Liberty)
Hardware: x86_64
OS: Linux
urgent
urgent
Target Milestone: ---
: ---
Assignee: James Slagle
QA Contact: Arik Chernetsky
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-02 14:39 UTC by Anand Nande
Modified: 2016-09-21 17:15 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-04 08:22:42 UTC


Attachments (Terms of Use)

Comment 16 Ben Nemec 2016-08-22 16:15:56 UTC
Yeah, this is a longstanding issue with Nova error handling.  The more noise people make about it the more likely it is to get attention (and hopefully fixed!).

The missing hostname check is going to be tricky.  It's implemented as a simple string replacement in the templates, which doesn't allow us to do any sort of logic to check that the hostname actually exists.  You can certainly open an RFE for that too though.


Note You need to log in before you can comment on or make changes to this bug.